package org.bdware.sc.event.clients;

import org.bdware.sc.conn.ResultCallback;
import org.bdware.sc.event.Event;

public interface IEventConsumer {
    String getId();

    ConsumerType getType();

    void publishEvent(Object msg, ResultCallback rc, String... options);

    void competeSub(Object msg, ResultCallback rc, String... options);

    enum ConsumerType {
        Contract,
        Node,
        WSClient
    }
}
