package org.bdware.sc.units;

import java.io.Serializable;

public enum ContractUnitType implements Serializable {

	Start(0), AddMember(1), Sequencing(2), Unknown(3);
	private int type;

	private ContractUnitType(int i) {
		type = i;
	}

	public static ContractUnitType fromByte(int i) {
		switch (i) {
		case 0:
			return Start;
		case 1:
			return AddMember;
		case 2:
			return Sequencing;
		default:
			return Unknown;
		}
	}

	public int toInt() {
		return type;
	}
}
