package org.bdware.server.trustedmodel;

import org.bdware.sc.ContractManager;
import org.bdware.sc.bean.ContractRequest;
import org.bdware.sc.conn.OnHashCallback;
import org.bdware.sc.conn.ResultCallback;

public class SingleNodeExecutor implements ContractExecutor {
    public static SingleNodeExecutor instance = new SingleNodeExecutor();
    private ContractManager cm;

    public static void setContractManager(ContractManager cm) {
        instance.cm = cm;
    }

    @Override
    public void execute(String requestID, ContractRequest req, ResultCallback rcb, OnHashCallback hcb) {
        cm.executeLocallyAsync(req, rcb, hcb);
    }
}